import { Component, h, Host, Prop } from '@stencil/core';
export class KhanguruMemberIndexPage {
  componentDidLoad() {
    setTimeout(() => this.dismiss(this.notification), this.notification.timeout);
  }
  render() {
    const { notification } = this;
    return (h(Host, null,
      h("dvn-card", { bodyLeaned: true, elevation: 3, leaned: true, tint: notification.tint },
        h("div", { class: "notification-container" },
          notification.icon &&
            h("div", { class: "notification-icon" },
              h("dvn-icon", { slot: "media", iconName: notification.icon, size: 30 })),
          h("div", { class: "notification-content-container" },
            notification.title && h("div", { class: "notification-title" },
              h("b", null, notification.title)),
            notification.message && h("div", { class: "notification-message" }, notification.message))))));
  }
  static get is() { return "notification-card"; }
  static get originalStyleUrls() { return {
    "$": ["notification-card.css"]
  }; }
  static get styleUrls() { return {
    "$": ["notification-card.css"]
  }; }
  static get properties() { return {
    "notification": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "Notification",
        "resolved": "Notification",
        "references": {
          "Notification": {
            "location": "import",
            "path": "@dvn/alaca/global/notifier/models"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    },
    "dismiss": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "(notification: Notification) => void",
        "resolved": "(notification: Notification) => void",
        "references": {
          "Notification": {
            "location": "import",
            "path": "@dvn/alaca/global/notifier/models"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
}
